bs_offcanvas:
  label: Offcanvas
  namespace: Organisms/Bootstrap
  use: '@organisms/tm-bs/offcanvas/offcanvas.twig'
  description: TM/Boostrap Offcanvas
  libraries:
    - bs_offcanvas_lib:
        css:
          component:
            ../styles/offcanvas.css: {weight: 10}

  fields:
    content:
      type: text
      label: Content
      preview:
        faker: lorem.paragraphs

    title:
      type: text
      label: Title
      preview: Main menu

  settings:
    padding:
      type: boolean
      label: Padding
      preview: true
      default_value: true
    show_button:
      type: boolean
      label: Show button
      preview: true
      default_value: false
    show_close:
      type: boolean
      label: Show close
      preview: true
      default_value: true
    offcanvas_attributes:
      type: attributes
      label: Attributes
      description: Attributes
    offcanvas_class:
      type: textfield
      label: Classes
      description: Classes
